{
const TOOLS_RUNNER_URL = "https://functions.yandexcloud.net/d4esian9gs7m7m80qk1q";
const SHOWDOWN_URL = "https://cdnjs.cloudflare.com/ajax/libs/showdown/2.1.0/showdown.min.js";
const TOOL_ID = "0bda2d09-249f-4c1c-ad4c-11b380572733";
const BLOCK_ID = "#rec864166549";
const AUTOSUBMIT = "Да";

$.getScript(SHOWDOWN_URL);

function prefillInput(block, name, value) {
  block.find(`input[name="${name}"][type="hidden"]`).val(value);

  const input = block.find(`input[name="${name}"]`);
  const inputGroup = input.closest(".t-input-group");
  if (
    inputGroup.hasClass("t-input-group_em") ||
    inputGroup.hasClass("t-input-group_nm") ||
    inputGroup.hasClass("t-input-group_in") ||
    inputGroup.hasClass("t-input-group_ur") ||
    inputGroup.hasClass("t-input-group_da") ||
    inputGroup.hasClass("t-input-group_tm") ||
    inputGroup.hasClass("t-input-group_rg") ||
    inputGroup.hasClass("t-input-group_qn")
  ) {
    input.val(value);
    input.trigger("change");
    input.trigger("keyup");
  } else if (
    inputGroup.hasClass("t-input-group_rd") ||
    inputGroup.hasClass("t-input-group_ri") ||
    inputGroup.hasClass("t-input-group_rs")
  ) {
    inputGroup.find("input").each((index, el) => {
      if ($(el).prop("checked") !== value.includes($(el).attr("value"))) {
        el.click();
      }
    });
  } else if (inputGroup.hasClass("t-input-group_cb")) {
    if (input.prop("checked") !== ["yes", "true"].includes(value)) {
      input.click();
    }
  } else if (inputGroup.hasClass("t-input-group_ph")) {
    const inputPhonemask = inputGroup.find(".t-input-phonemask");
    if (inputPhonemask.length) {
      const phoneNumber = String(value).replace(/[^0-9]/g, "");
      inputGroup
        .find(".t-input-phonemask__options-item")
        .each(function (index, el) {
          const phoneCode = String($(el).attr("data-phonemask-code")).replace(
            /[^0-9]/g,
            ""
          );
          if (phoneCode && phoneNumber.startsWith(phoneCode)) {
            $(el).click();
          }
        });
      inputPhonemask.val(value);
      inputPhonemask.trigger("input");
      inputPhonemask.get(0).dispatchEvent(new Event("input"));
    } else {
      input.val(value);
      input.trigger("change");
    }
  }
}

function prefillTextarea(block, name, value) {
  const input = block.find(`textarea[name="${name}"]`);
  const inputGroup = input.closest(".t-input-group");
  if (inputGroup.hasClass("t-input-group_ta")) {
    input.val(value);
  }
}

function prefillSelect(block, name, value) {
  const input = block.find(`select[name="${name}"]`);
  const inputGroup = input.closest(".t-input-group");
  if (inputGroup.hasClass("t-input-group_sb")) {
    input.val(value);
  }
}

$(document).ready(function () {
  const block = $(BLOCK_ID);
  const block_id = BLOCK_ID.substring(4);
  const inputs = block.find(".t-form__inputsbox");
  inputs.append('<input type="hidden" name="now" tabindex="-1" value="">');
  const prefix = `#linkhook${block_id}:`;
  $("body").on("click", `[href^="${prefix}"]`, function (event) {
    event.preventDefault();
    const converter = new showdown.Converter();
    const values = $(this).attr("href").substring(prefix.length);
    values.split("__and__").forEach((value) => {
      terms = value.split("__");
      if (terms[1] === "eq") {
        prefillInput(inputs, terms[0], terms[2]);
        prefillTextarea(inputs, terms[0], terms[2]);
        prefillSelect(inputs, terms[0], terms[2]);
        if (terms[0] === "title") {
          block.find(".t702__title").html(converter.makeHtml(String(terms[2])));
        } else if (terms[0] === "descr") {
          block.find(".t702__descr").html(converter.makeHtml(String(terms[2])));
        }
      }
    });
    inputs.find('input[name="now"]').val(Date.now());
    if (AUTOSUBMIT) {
      block.find('button[type="submit"]').click();
    }
    if (typeof t702_showPopup === "function") {
      t702_showPopup(block_id);
    }
    if (typeof t_popup__resizePopup === "function") {
      t_popup__resizePopup(block_id);
    }
    if (block.find(".t706").length) {
      tcart__openCart();
    }
  });
});
}
